import http from '../../base/httputil'
const app = getApp()
Page({

  onLoad(e){
    let busEnterpriseId = e.busEnterpriseId
    this.data.busEnterpriseId = busEnterpriseId
    this.setData({
      businessName : e.businessName
    })
    this.getXunchaCount();
    this.getXunchaList();
  },

  getXunchaCount(){
    let obj = new Object();
    obj.busEnterpriseId = this.data.busEnterpriseId 
    http.post("/system/AppXunchaController/getXunchaCount",obj,this.getXunchaCountSuccess)
  },
  getXunchaCountSuccess(res){
    console.log("222",res)
    if(res.code==200){
    this.setData({
      todayXunchaCount:res.data.xunchaCount.todayXunchaCount,
      todayRiskCount : res.data.xunchaCount.todayRiskCount
    })
  }
  },
  getXunchaList(){
    let obj = new Object();
    obj.busEnterpriseId = this.data.busEnterpriseId 
    http.send_get("/system/AppXunchaController/getXunchaList",obj,this.getXunchaListSuccess)
  },
  getXunchaListSuccess(res){
    console.log("!!!",res.data.rows)
    this.setData({
      xunchaList :  res.data.rows
    })
  },

  /**
   * 页面的初始数据
   */
  data: {
    host: app.globalData.host,
    busEnterpriseId : null,
    businessName : null,
    todayXunchaCount : 0,
    todayRiskCount : 0,
    xunchaList : null
  },
 // 巡检详细
 toBindXunjinaMore(e){
  let isrisk = e.currentTarget.dataset.isrisk
  let buslogid = e.currentTarget.dataset.buslogid
  if(isrisk == 0){
    wx.showToast({
      title: '没有发现安全隐患,请放心!!',
      icon: "none" 
    })
  }else{
    console.log(isrisk,"####",buslogid)
    wx.navigateTo({
      url: '../xunjianmore/xunjianmore?buslogid='+buslogid
    })
  }
 
},
})